Bug 437323 - 'number-up=4 orientation-requested=4' output question
'number-up=4 orientation-requested=4' output question
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-13 11:39 EDT by Caolan McNamara
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-07 21:05:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
input file (19.61 KB, application/postscript)
2008-03-13 11:39 EDT, Caolan McNamara
no flags Details
output file (20.98 KB, application/postscript)
2008-03-13 11:39 EDT, Caolan McNamara
no flags Details

  None (edit)
Description Caolan McNamara 2008-03-13 11:39:16 EDT
Description of problem:
This is more of a question than a bug. Given the attached .ps and an incantation
like:
/usr/lib/cups/filter/pstops 185 user title 1 "number-up=4 PageSize=A4
orientation-requested=4" cupsprint.ps > output.ps

Then the output.ps has each subpage clipped to a landscape portion of the
original page. So we can make this happen in e.g. writer with the gtk unix print
dialog and nups 4 and selecting the "landscape" output with portrait input
pages, and I'm wondering if this is a bug, or just the way it has to be, and if
any action should be taken on the OOo or cups side.
Comment 1 Caolan McNamara 2008-03-13 11:39:16 EDT
Created attachment 297944 [details]
input file
Comment 2 Caolan McNamara 2008-03-13 11:39:49 EDT
Created attachment 297945 [details]
output file
Comment 3 Tim Waugh 2008-03-13 12:05:11 EDT
I'm not really sure those options make sense.  Here's a representation of the input:

+---+  +---+  +---+
|ONE|  |TWO|  |333|
|ONE|  |TWO|  |333|
|ONE|  |TWO|  |333|
+---+  +---+  +---+

and here's a representation of the output we get:

+----------+
|ONE  TWO  |
|ONE  TWO  |
|          |
|333       |
|333       |
|          |
|          |
+----------+

Without 'orientation-requested=4' I would expect the output to be exactly as
above but without the cropping, i.e. four "virtual" portrait pages entirely
covering the area of the physical page, to be seen in portrait.

Can you draw what you expect the output to be when 'orientation-requested=4' is set?
Comment 4 Bug Zapper 2008-05-14 02:01:27 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Brennan Ashton 2008-06-07 21:05:13 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.